Articles of qt

Как изменить Toolkit в Linux Mint для GTK

Недавно я очистил KDE от версии Linux Mint 17.3 KDE и установил Cinnamon. Я смог обновить его до версии 18 (Sarah) Cinnamon. Да, несмотря на это издание KDE. Были проблемы, но я смог их решить. cat /etc/linuxmint/info теперь говорит RELEASE=18 CODENAME=sarah EDITION="Cinnamon 64-bit" DESCRIPTION="Linux Mint 18 Sarah" DESKTOP=KDE TOOLKIT=QT NEW_FEATURES_URL=http://www.linuxmint.com/rel_sarah_kde_whatsnew.php RELEASE_NOTES_URL=http://www.linuxmint.com/rel_sarah_kde.php USER_GUIDE_URL=`yelp help:linuxmint` GRUB_TITLE=Linux Mint […]

Ошибка (qt5_add_resources) при сборке kaffeine в debian jessie

в Kaffeine <1.3 это ошибка с самбой, я пытаюсь построить версию 1.3.x. Но после вызова cmake, я получаю сообщение об ошибке: — The C compiler identification is GNU 4.9.2 — The CXX compiler identification is GNU 4.9.2 — Check for working C compiler: /usr/bin/cc — Check for working C compiler: /usr/bin/cc — works — Detecting […]

мерцание: символы отображаются как прямоугольники

Окружающая среда хост с окнами 10, котенком, vcxsrv гость с centos6, мерцание ситуация на окнах я запускаю vcxsrv и kitty с помощью Xforward и подключаюсь к centos6. Когда в котенке я начинаю мерцать, я вижу это Заметки Когда я начинаю, например, xterm, это выглядит нормально. Вопрос Есть ли у вас какое-либо решение, как решить эту […]

Включить клавиатуру в приложении QT, которое запускается с помощью systemd

Я пытаюсь получить поддержку аппаратной клавиатуры для работы в моем приложении QT 4.8.6 для Beaglebone Green, на котором работает Debain. Файловая система не имеет рабочего стола, поэтому linux загружается в консоль, на которой tty1 сверху. Я создал службу systemd в / lib / systemd / system /, чтобы мое приложение запускалось при загрузке. Приложение запускается, […]

Как предотвратить закрытие приложения python в Linux?

Я работаю над проектом, который использует малиновый pi для его вычислительных целей. У него есть сенсорный экран, в котором пользователь может выбрать из него варианты. Я хочу установить легкий дистрибутив linux для этого проекта. Я написал программу python с графическим интерфейсом с работой QT (PyQt 5). Я хочу настроить этот дистрибутив linux для запуска моего […]

fedora 24 – kate и texmaker отображаются увеличенными

Я только что установил texmaker и kate в моей системе fedora 24. Проблема в том, что они отображаются «увеличенными», и они не могут нормально функционировать, как показано на следующем рисунке. Однако я имею в виду, что может быть проблемой. Когда я установил VLC , видео появилось в левом нижнем углу интерфейса, поэтому я добавил эти […]

Компиляция Octave: как добавить новый элемент в каталоги include для Qt?

ситуация Мой дистрибутив – Ubuntu 14.04. Я устанавливаю Octave 4.2.1. У меня есть сценарий оболочки, который делает это для меня с помощью GNU make. Octave находится в поисках библиотек Qt. Я хочу использовать двоичные файлы Qt5 5.8, установленные из https://www.qt.io/download-open-source/, в мои /opt/qt каталоги. Расположение этих двоичных файлов qt, библиотек и pkgconfig находятся в соответствующих […]

Используйте разные библиотеки freetype для приложений GTK + и Qt

Для Fedora существует версия библиотеки freetype в RPM Fusion, которая имеет запатентованный подпиксельный рендеринг. Я хотел бы использовать стандартную версию freetype для приложений KDE / Qt и RPM Fusion для приложений GTK +, потому что версия по умолчанию улучшает шрифты для KDE / Qt лучше, чем для GTK +. Следовательно, суть вопроса заключается в использовании […]

Как настроить цвета приложений Qt в Ubuntu (16.10)?

После довольно многого поиска я нигде не вижу, как изменить цвета моих приложений Qt. Я уже создал ~/.themes/ темную gtk-тему в ~/.themes/ , изменив Ambiance по умолчанию, но теперь мне нужно также изменить Qt-приложения. И смешно, они уже отображаются в темноте (иногда слишком темные), поэтому я, возможно, давно изменил его (не знаю, как). Например, я […]

PIP сохраняет день на Fedora 25 для No module с именем «PyQt5.QtWebEngineWidgets» ошибка..WHY?

В Fedora 25 я пытаюсь скомпилировать Python 3+ с помощью QT 5 и выполнить следующую ошибку: File "/usr/lib/anki/aqt/qt.py", line 17, in <module> from PyQt5.QtWebEngineWidgets import QWebEnginePage ImportError: No module named 'PyQt5.QtWebEngineWidgets' Новый QTWebEngine должен содержать этот пакет, и вот список зависимостей, которые я установил для проекта: dnf install -y python3 dnf install -y python3-devel dnf […]